# WorkerService | windmill-client
Documentation for windmill-client

# Class WorkerService

- Defined in src/services.gen.ts:3645

#####
Index

### Constructors

constructor

### Methods

existsWorkerWithTag
geDefaultTags
getCustomTags
getQueueMetrics
isDefaultTagsPerWorkspace
listWorkers

##
Constructors

### constructor

- new WorkerService(): WorkerService

- #### Returns WorkerService

##
Methods

### `Static` existsWorkerWithTag

- existsWorkerWithTag(data): CancelablePromise <boolean>

- exists worker with tag

  #### Parameters

  - data: ExistsWorkerWithTagData

    The data for the request.

  #### Returns CancelablePromise <boolean>

  boolean whether a worker with the tag exists

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3710

### `Static` geDefaultTags

- geDefaultTags(): CancelablePromise < GeDefaultTagsResponse >

- get all instance default tags

  #### Returns CancelablePromise < GeDefaultTagsResponse >

  string list of default tags

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3663

### `Static` getCustomTags

- getCustomTags(): CancelablePromise < GetCustomTagsResponse >

- get all instance custom tags (tags are used to dispatch jobs to different worker groups)

  #### Returns CancelablePromise < GetCustomTagsResponse >

  string list of custom tags

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3651

### `Static` getQueueMetrics

- getQueueMetrics(): CancelablePromise < GetQueueMetricsResponse >

- get queue metrics

  #### Returns CancelablePromise < GetQueueMetricsResponse >

  unknown metrics

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3725

### `Static` isDefaultTagsPerWorkspace

- isDefaultTagsPerWorkspace(): CancelablePromise <boolean>

- is default tags per workspace

  #### Returns CancelablePromise <boolean>

  boolean is the default tags per workspace

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3675

### `Static` listWorkers

- listWorkers(data?): CancelablePromise < ListWorkersResponse >

- list workers

  #### Parameters

  - data: ListWorkersData = {}

    The data for the request.

  #### Returns CancelablePromise < ListWorkersResponse >

  WorkerPing a list of workers

  #### Throws

  ApiError

  - Defined in src/services.gen.ts:3691